## python-mate-desktop 1.2.0

=== wscript ===
# -*- python -*-

VERSION = '2.32.1'
APPNAME = 'mate-python-desktop'
srcdir = '.'
blddir = 'build'

import Options

import Configure
Configure.autoconfig = True

import ccroot
ccroot.USE_TOP_LEVEL = True

import Task
Task.file_deps = Task.extract_deps

import Logs
import Build
import Utils

import misc
import os
import shutil
import glob
import sys
import types


def dist_hook():
    for docs_module in ['mateprint', 'mateprintui', 'gtksourceview']:
        for html_file in glob.glob(os.path.join('..', 'build', 'default', 'docs', docs_module, 'html', '*')):
            shutil.copy2(html_file, os.path.join('docs', docs_module, 'html'))
    ## Copy WAF to the distdir
    assert os.path.basename(sys.argv[0]) == 'waf'
    shutil.copy(os.path.join('..', sys.argv[0]), '.')

    subprocess.Popen([os.path.join(srcdir, "generate-ChangeLog")],  shell=True).wait()
    try:
        os.chmod(os.path.join(srcdir, "ChangeLog"), 0644)
    except OSError:
        pass
    shutil.copy(os.path.join(srcdir, "ChangeLog"), '.')


def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.tool_options('mate')
    opt.tool_options('gnu_dirs')
    opt.tool_options('cflags')

    opt.sub_options('marco')

    opt.add_option('--enable-modules',
                   help=('Enable only the specified modules.'),
                   type="string", default='all', metavar="MODULES_LIST (comma separated)",
                   dest='enable_modules')

def _bug_buddy_check(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'bugbuddy')
    if conf.find_program('bug-buddy', var='BUG_BUDDY'):
        ver_string = Utils.cmd_output("%s --version" % (conf.env['BUG_BUDDY'],))
        ver = ver_string.split()[-1]
        ver = [int(x) for x in ver.split('.')]
        if ver >= [2,16]:
            conf.env.append_value('MODULES_TO_BUILD', 'bugbuddy')

def configure(conf):
    conf.check_tool('misc')
    conf.check_tool('compiler_cc')
    conf.check_tool('mate')
    conf.check_tool('gnu_dirs')
    conf.check_tool('python')
    conf.check_tool('command')
    conf.check_tool('pkgconfig')
    conf.check_tool('cflags')
    conf.check_python_version((2,4))
    conf.check_python_headers()
    conf.find_program('xsltproc', var='XSLTPROC')
    conf.define('VERSION', VERSION)

    version = [int(s) for s in VERSION.split('.')]
    conf.define('MATE_PYTHON_DESKTOP_MAJOR_VERSION', version[0])
    conf.define('MATE_PYTHON_DESKTOP_MINOR_VERSION', version[1])
    conf.define('MATE_PYTHON_DESKTOP_MICRO_VERSION', version[2])

    # Define pygtk required version, for runtime check
    pygtk_version = [2, 10, 3]
    conf.define('PYGTK_REQUIRED_MAJOR_VERSION', pygtk_version[0])
    conf.define('PYGTK_REQUIRED_MINOR_VERSION', pygtk_version[1])
    conf.define('PYGTK_REQUIRED_MICRO_VERSION', pygtk_version[2])

    conf.pkg_check_modules('PYGTK', 'pygtk-2.0 >= %s' % ('.'.join([str(x) for x in pygtk_version]),))
    conf.env['PYGTK_DEFSDIR'] = conf.pkg_check_module_variable('pygtk-2.0', 'defsdir')

    mate_python_version = [2, 10, 0]
    values = conf.pkg_check_modules('MATE_PYTHON',
                                    'mate-python-2.0 >= %s' % ('.'.join([str(x) for x in mate_python_version]),))
    conf.env['MATE_PYTHON_DEFSDIR'] = conf.pkg_check_module_variable('mate-python-2.0', 'defsdir')
    conf.env['MATE_PYTHON_ARG_TYPES_DIR'] = conf.pkg_check_module_variable('mate-python-2.0', 'argtypesdir')

    if not conf.find_program('pygobject-codegen-2.0', var='CODEGEN'):
        if not conf.find_program('pygtk-codegen-2.0', var='CODEGEN'):
            Logs.error("Could not find pygobject/pygtk codegen")

    conf.env.append_value('CCDEFINES', 'HAVE_CONFIG_H')

    conf.env['ENABLE_MODULES'] = Options.options.enable_modules.split(',')
    
    conf.sub_config('matekeyring')
    conf.sub_config('mateapplet')
    conf.sub_config('matedesktop')
    conf.sub_config('mateprint')
    conf.sub_config('evince')
    conf.sub_config('evolution')
    conf.sub_config('gtksourceview')
    conf.sub_config('gtop')
    conf.sub_config('mediaprofiles')
    conf.sub_config('marco')
    conf.sub_config('cajaburn')
    conf.sub_config('braseromedia')
    conf.sub_config('braseroburn')
    conf.sub_config('rsvg')
    conf.sub_config('totem')
    conf.sub_config('wnck')

    _bug_buddy_check(conf)

    for module in conf.env['ENABLE_MODULES']:
        if module == 'all':
            continue
        if module not in conf.env['MODULES_AVAILABLE']:
            Params.warning("Requested module %r is not available in this source tree." % module)
    if conf.env['MODULES_TO_BUILD']:
        print "** The following modules will be built:"
        for m in conf.env['MODULES_TO_BUILD']:
            print "\t%s" % m

    not_built = list(conf.env['MODULES_AVAILABLE'])
    for mod in conf.env['MODULES_TO_BUILD']:
        not_built.remove(mod)
    if not_built:
        print "** The following modules will NOT be built:"
        for m in not_built:
            print "\t%s" % m

    conf.write_config_header('config.h')

    for docs_module in ['mateprint', 'mateprintui', 'gtksourceview']:
        d = os.path.join('docs', docs_module, 'html')
        try:
            os.mkdir(d)
        except OSError:
            pass
        #    print "* Directory %r already exists." % (d,)
        #else:
        #    print "* Creating directory %r." % (d,)

def codegen(bld, module, local_load_types=(), register=(), local_register=(), prefix=None, py_ssize_t_clean=True):
    cmd = bld.new_task_gen('command',
                           source=['%s.defs' % module, '%s.override' % module],
                           target=['%s.c' % module])
    cmd.command = ['${CODEGEN}']

    if py_ssize_t_clean:
        cmd.command.append('--py_ssize_t-clean')

    register = [os.path.join(bld.env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                os.path.join(bld.env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                os.path.join(bld.env['PYGTK_DEFSDIR'], 'gtk-types.defs'),
                os.path.join(bld.env['MATE_PYTHON_DEFSDIR'], 'matecomponent-types.defs'),
                os.path.join(bld.env['MATE_PYTHON_DEFSDIR'], 'matecomponentui-types.defs'),
                ] + list(register)

    cmd.command.extend(['--load-types', os.path.join(bld.env['MATE_PYTHON_ARG_TYPES_DIR'], 'matecomponent-arg-types.py')])
    
    for load in local_load_types:
        cmd.source.append(load)
        cmd.command.extend(['--load-types', '${SRC[%i]}' % (len(cmd.source)-1)])
    
    for reg in local_register:
        cmd.source.append(reg)
        cmd.command.extend(['--register', '${SRC[%i]}' % (len(cmd.source)-1)])

    for reg in register:
        cmd.command.extend(['--register', reg])

    if prefix:
        cmd.command.extend(['--prefix', prefix])
    else:
        cmd.command.extend(['--prefix', 'py'+module])

    cmd.command.extend(['--override', "${SRC[1]}",
                        '${SRC[0]}',
                        '>', '${TGT[0]}'])

    return cmd



def build_docs_for_module(bld, module_name):
    d = bld.path.find_dir('html').abspath()
    if bld.env['XSLTPROC'] and not os.path.exists(os.path.join(d, 'index.html')):
        html_dir = os.path.join(bld.env['DATADIR'], 'gtk-doc', 'html')
        target_dir = os.path.join('html_dir', module_name)

        cmd = bld.new_task_gen('command',
                               target='html/index.html',
                               source=('../ref-html-style.xsl %s-classes.xml' % module_name),
                               command=(
                '${XSLTPROC} --nonet --xinclude -o ${TGT[0].parent}/'
                ' --stringparam gtkdoc.bookname py%s'
                ' --stringparam gtkdoc.version ${VERSION}'
                ' --stringparam chunker.output.encoding UTF-8'
                ' ${SRC[0]} ${SRC[1]}' % module_name))

        #cmd = bld.new_task_gen('command',
        #                       target=('html/%s-class-reference.html' % module_name),
        #                       source='html/index.html',
        #                       command='gtkdoc-fixxref --module=${MODULE} --module-dir=${TGT[0].parent} --html-dir=${HTMLDIR}',
        #                       variables=dict(HTMLDIR=html_dir,
        #                                      MODULE=module_name))

    html_files = glob.glob(os.path.join(bld.path.find_dir('html').abspath(bld.env), '*'))
    html_files += glob.glob(os.path.join(bld.path.find_dir('html').abspath(), '*'))
    bld.install_files('${DATADIR}/gtk-doc/html/py%s' % module_name, html_files)


def build(bld):
    env = bld.env

    # Attach the 'codegen' method to the build context
    bld.codegen = types.MethodType(codegen, bld)
    # Generic template for building docs
    bld.build_docs_for_module = types.MethodType(build_docs_for_module, bld)

    def create_pyext(bld):
        return bld.new_task_gen('cc', 'shlib', 'pyext')
    bld.create_pyext = types.MethodType(create_pyext, bld)


    ## generate and install the .pc file
    obj = bld.new_task_gen('subst')
    obj.source = 'mate-python-desktop-2.0.pc.in'
    obj.target = 'mate-python-desktop-2.0.pc'
    obj.dict = {
        'VERSION': VERSION,
        'prefix': env['PREFIX'],
        'exec_prefix': env['PREFIX'],
        'libdir': env['LIBDIR'],
        'includedir': os.path.join(env['PREFIX'], 'include'),
        'datadir': env['DATADIR'],
        'datarootdir': env['DATADIR'],
        }
    obj.fun = misc.subst_func
    obj.install_path = '${LIBDIR}/pkgconfig'

    ## subdirs
    bld.add_subdirs('matekeyring')
    bld.add_subdirs('mateapplet')
    bld.add_subdirs('matedesktop')
    bld.add_subdirs('mateprint')
    bld.add_subdirs('evince')
    bld.add_subdirs('evolution')
    bld.add_subdirs('gtksourceview')
    bld.add_subdirs('gtop')
    bld.add_subdirs('mediaprofiles')
    bld.add_subdirs('marco')
    bld.add_subdirs('cajaburn')
    bld.add_subdirs('braseromedia')
    bld.add_subdirs('braseroburn')
    bld.add_subdirs('rsvg')
    bld.add_subdirs('totem')
    bld.add_subdirs('wnck')

    bld.add_subdirs('docs/mateprint')
    bld.add_subdirs('docs/mateprintui')
    bld.add_subdirs('docs/gtksourceview')

    if 'bugbuddy' in bld.env['MODULES_TO_BUILD']:
        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0'
        py.source = "bugbuddy.py"


def shutdown():
    env = Build.bld.env
    if Options.commands['check']:
        _run_tests(env)


def _run_tests(env):
    import pproc as subprocess
    import shutil
    builddir = os.path.join(blddir, env.variant())
    # copy the __init__.py files
    for subdir in ["evolution", "matedesktop", "mateprint", "totem"]:
        src = os.path.join(subdir, "__init__.py")
        dst = os.path.join(builddir, subdir)
        try:
            shutil.copy(src, dst + os.path.sep)
        except IOError:
            pass
    os_env = dict(os.environ)
    if 'PYTHONPATH' in os_env:
        os_env['PYTHONPATH'] = os.pathsep.join([builddir, os_env['PYTHONPATH']])
    else:
        os_env['PYTHONPATH'] = builddir
    cmd = [env['PYTHON'], os.path.join('tests', 'runtests.py'), builddir]
    retval = subprocess.Popen(cmd, env=os_env).wait()
    if retval:
        sys.exit(retval)

=== cajaburn/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'cajaburn')
    if 'cajaburn' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('CAJABURN',
                                  'libcaja-burn >= 2.15.3 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'cajaburn')


def build(bld):
    if 'cajaburn' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('caja_burn', prefix='caja_burn')
        pyext = bld.create_pyext()
        pyext.source = 'nb_module.c caja_burn.c nb_track.c'
        pyext.includes = '.'
        pyext.target = 'cajaburn'
        pyext.uselib = 'CAJABURN'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'caja_burn.defs')

=== gtksourceview/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'gtksourceview')
    if 'gtksourceview' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('GTKSOURCEVIEW', 'gtksourceview-1.0 >= 1.1.90 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'gtksourceview')
        

def build(bld):
    
    if 'gtksourceview' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('gtksourceview', local_register=['../mateprint/print.defs'])
        pyext = bld.create_pyext()
        pyext.source = 'gtksourceviewmodule.c gtksourceview.c'
        pyext.target = 'gtksourceview'
        pyext.uselib = 'GTKSOURCEVIEW'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'gtksourceview.defs')

=== marco/wscript ===
# -*- python -*-
# encoding: utf-8

import os
import Options

def set_options(opt):
    opt.add_option('--enable-marco',
                   help=('Enable marco bindings.'
                         ' WARNING: these bindings are not very well maintained '
                         'and may not work or even compile.'),
                   action="store_true", default=False,
                   dest='enable_marco')
    
def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'marco')
    if 'marco' in conf.env['ENABLE_MODULES'] or Options.options.enable_marco:
        if conf.pkg_check_modules('MARCO', 'libmarco-private >= 2.19.8 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'marco')

def build(bld):
    env = bld.env
    if 'marco' in env['MODULES_TO_BUILD']:
        bld.codegen('marco')
        pyext = bld.create_pyext()
        pyext.source = 'marcomodule.c marco.c'
        pyext.target = 'marco'
        pyext.uselib = 'MARCO'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', ['marco.defs'])

=== mateapplet/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mateapplet')
    if 'mateapplet' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEAPPLET',
                                  'libmatepanelapplet-2.0 >= 2.13.4 pygobject-2.0 libmate-2.0 libmateui-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mateapplet')


def build(bld):
    env = bld.env
    if 'mateapplet' in env['MODULES_TO_BUILD']:
        bld.codegen('applet')
        pyext = bld.create_pyext()
        pyext.source = 'appletmodule.c applet.c'
        pyext.target = 'mateapplet'
        pyext.uselib = 'MATEAPPLET'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'applet.defs')

=== matedesktop/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matedesktop')
    if 'matedesktop' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEDESKTOP', 'mate-desktop-2.0 >= 2.10.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matedesktop')

def build(bld):
    
    if 'matedesktop' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('_matedesktop')
        pyext = bld.create_pyext()
        pyext.source = '_matedesktopmodule.c _matedesktop.c'
        pyext.target = '_matedesktop'
        pyext.uselib = 'MATEDESKTOP'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/matedesktop'

        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/matedesktop'
        py.source = "__init__.py"

        bld.install_files('${DATADIR}/pygtk/2.0/defs', '_matedesktop.defs')

=== matekeyring/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matekeyring')
    if 'matekeyring' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEKEYRING', 'mate-keyring-1 >= 0.5.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matekeyring')
            if conf.pkg_check_modules('MATEKEYRING_2_20_1', 'mate-keyring-1 >= 2.20.1', mandatory=False):
                conf.define('HAVE_KEYRING_2_20_1', 1)
            else:
                conf.undefine('HAVE_KEYRING_2_20_1')


def build(bld):
    env = bld.env
    if 'matekeyring' in env['MODULES_TO_BUILD']:
        bld.codegen('matekeyring', local_load_types=['matekeyring-argtypes.py'])

        pyext = bld.create_pyext()
        pyext.source = 'matekeyringmodule.c matekeyring.c'
        pyext.target = 'matekeyring'
        pyext.uselib = 'MATEKEYRING'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', ['matekeyring.defs'])

=== mateprint/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mateprint')
    if 'mateprint' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEPRINT',
                                  'libmateprint-2.2 >= 2.2.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mateprint')

    conf.env.append_value('MODULES_AVAILABLE', 'mateprint.ui')
    if 'mateprint.ui' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEPRINTUI',
                                  'libmateprintui-2.2 >= 2.2.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mateprint.ui')

def build(bld):
    
    if 'mateprint' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('print', local_load_types=['print-arg-types.py'])
        pyext = bld.create_pyext()
        pyext.source = 'printmodule.c print.c art-gtype.c'
        pyext.target = '_print'
        pyext.uselib = 'MATEPRINT'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/mateprint'
        pyext.includes = '.'

    if 'mateprint.ui' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('printui', local_load_types=['print-arg-types.py'])
        pyext = bld.create_pyext()
        pyext.source = 'printuimodule.c printui.c'
        pyext.target = 'ui'
        pyext.uselib = 'MATEPRINTUI'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/mateprint'
        pyext.includes = '.'

    py = bld.new_task_gen('py')
    py.install_path = '${PYTHONDIR}/gtk-2.0/mateprint'
    py.source = "__init__.py"

    bld.install_files('${DATADIR}//pygtk/2.0/defs',
                      ['print.defs', 'printui.defs'])

=== mediaprofiles/wscript ===
# -*- python -*-
# encoding: utf-8


def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mediaprofiles')
    if 'mediaprofiles' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MEDIAPROFILES',
                                  'mate-media-profiles >= 2.10.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mediaprofiles')


def build(bld):
    
    if 'mediaprofiles' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('mediaprofiles')
        pyext = bld.create_pyext()
        pyext.source = 'mediaprofilesmodule.c mediaprofiles.c'
        pyext.target = 'mediaprofiles'
        pyext.uselib = 'MEDIAPROFILES'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', ['mediaprofiles.defs'])

=== docs/mateprint/wscript ===
# -*- python -*-

def build(bld):
    bld.build_docs_for_module('mateprint')

=== docs/mateprintui/wscript ===
# -*- python -*-

def build(bld):
    bld.build_docs_for_module('mateprintui')

=== debian/changelog ===
python-mate-desktop (1.2.0-2+precise) precise; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:18:15 -0400

python-mate-desktop (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 09 Mar 2012 01:50:23 +0100

python-mate-desktop (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 12 Dec 2011 15:19:50 +0100

python-mate-desktop (1.0.6-2) unstable; urgency=low

  * Fixed bindings to build.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 19 Nov 2011 01:03:51 +0100

python-mate-desktop (1.0.6-1) unstable; urgency=low

  * Using autogen.sh.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2011 10:12:29 +0000

python-mate-desktop (1.0.1-2) unstable; urgency=low

  * Fixed conflict with gnome.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 09 Nov 2011 00:59:27 +0100

python-mate-desktop (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Nov 2011 17:06:40 +0100

=== debian/control ===
Source: python-mate-desktop
Section: python
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               dh-autoreconf,
               python-all-dev,
               python-gtk2-dev,
               python-mate,
               libmate-dev,
               libmateui-dev,
               python-cairo-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               librsvg2-dev,
               libgtop2-dev,
               libwnck-dev,
               libmatepanelapplet-dev,
               mate-media,
               libmateconf-dev,
               libmarco-dev,
               mate-common,
               libmatekeyring-dev,
               libmatedesktop-dev,
               libgstreamer0.10-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-glib-dev,
               libselinux1-dev,
               libgcrypt11-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.mate-desktop.org/

Package: python-mate-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlib:Depends},
         ${python:Depends},
         python-gtk2
Description: Python bindings for the MATE desktop environment
 This archive contains files that allow you to build wrappers for addons
 that interoperate mate-python.

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/(\d\.\d)/python-mate-desktop-(.*)\.tar\.xz

## python-mate-desktop 1.4.0

=== wscript ===
--- 
+++ 
@@ -112,18 +112,15 @@
     conf.sub_config('mateapplet')
     conf.sub_config('matedesktop')
     conf.sub_config('mateprint')
-    conf.sub_config('evince')
-    conf.sub_config('evolution')
+    conf.sub_config('atril')
     conf.sub_config('gtksourceview')
     conf.sub_config('gtop')
     conf.sub_config('mediaprofiles')
     conf.sub_config('marco')
     conf.sub_config('cajaburn')
-    conf.sub_config('braseromedia')
-    conf.sub_config('braseroburn')
     conf.sub_config('rsvg')
     conf.sub_config('totem')
-    conf.sub_config('wnck')
+    conf.sub_config('matewnck')
 
     _bug_buddy_check(conf)
 
@@ -261,18 +258,15 @@
     bld.add_subdirs('mateapplet')
     bld.add_subdirs('matedesktop')
     bld.add_subdirs('mateprint')
-    bld.add_subdirs('evince')
-    bld.add_subdirs('evolution')
+    bld.add_subdirs('atril')
     bld.add_subdirs('gtksourceview')
     bld.add_subdirs('gtop')
     bld.add_subdirs('mediaprofiles')
     bld.add_subdirs('marco')
     bld.add_subdirs('cajaburn')
-    bld.add_subdirs('braseromedia')
-    bld.add_subdirs('braseroburn')
     bld.add_subdirs('rsvg')
     bld.add_subdirs('totem')
-    bld.add_subdirs('wnck')
+    bld.add_subdirs('matewnck')
 
     bld.add_subdirs('docs/mateprint')
     bld.add_subdirs('docs/mateprintui')
@@ -295,7 +289,7 @@
     import shutil
     builddir = os.path.join(blddir, env.variant())
     # copy the __init__.py files
-    for subdir in ["evolution", "matedesktop", "mateprint", "totem"]:
+    for subdir in ["matedesktop", "mateprint", "totem"]:
         src = os.path.join(subdir, "__init__.py")
         dst = os.path.join(builddir, subdir)
         try:

=== atril/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'atril')
    if 'atril' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('ATRIL', 'atril-document-2.32 atril-view-2.32 pygobject-2.0 pygtk-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'atril')



def build(bld):
    
    if 'atril' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('atril')
        pyext = bld.create_pyext()
        pyext.source = 'atrilmodule.c atril.c'
        pyext.target = 'atril'
        pyext.uselib = 'ATRIL'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'atril.defs')

=== matewnck/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matewnck')
    if 'matewnck' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEWNCK',
                                  'libmatewnck >= 2.20 pygobject-2.0 pygtk-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matewnck')



def build(bld):
    
    if 'matewnck' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('matewnck')
        pyext = bld.create_pyext()
        pyext.env.append_value('CCDEFINES', 'MATEWNCK_I_KNOW_THIS_IS_UNSTABLE')
        pyext.source = 'matewnckmodule.c matewnck.c'
        pyext.target = 'matewnck'
        pyext.uselib = 'MATEWNCK'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'matewnck.defs')

=== debian/changelog ===
python-mate-desktop (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 21:15:31 -0400

python-mate-desktop (1.3.0-1) unstable; urgency=low

  * New upstream development release.
  * Move build depends from libwnck-dev to libmatewnck-dev.
  * Enable matewnck and atril bindings.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 08 Jun 2012 15:04:52 +0200

python-mate-desktop (1.2.0-2) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:18:15 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libgtk2.0-dev,
                librsvg2-dev,
                libgtop2-dev,
-               libwnck-dev,
+               libmatewnck-dev,
                libmatepanelapplet-dev,
                mate-media,
                libmateconf-dev,
@@ -31,7 +31,8 @@
                libavahi-common-dev,
                libavahi-glib-dev,
                libselinux1-dev,
-               libgcrypt11-dev
+               libgcrypt11-dev,
+               libatril-dev
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.mate-desktop.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-static \
  --enable-applet \
  --enable-atril \
  --enable-cajaburn \
  --enable-matekeyring \
  --enable-matedesktop \
  --enable-mateprint \
  --enable-mateprintui \
  --enable-marco \
  --enable-matewnck \
  --disable-rsvg \
  --disable-bugbuddy \
  --disable-mediaprofiles \
  --disable-gtop \
  --disable-gtksourceview \
  --disable-totem_plparser

# all applets are: applet mateprint mateprintui gtksourceview matewnck totem_plparser gtop cajaburn mediaprofiles
# rsvg matekeyring matedesktop bugbuddy marco atril marco

DEB_DH_INSTALL_ARGS += --list-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
